kshowmail.tdevelop: ShowListViewItem Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ShowListViewItem Class Reference

`#include <showlistviewitem.h>`

List of all members.

## Public Types
enum | { _colNumber, _colAccount, _colFrom, _colTo, _colSubject, _colDate, _colSize, _colContent, _colState }
## Public Member Functions
| ShowListViewItem (TQListView *parent, ShowListViewItem *after)
| ShowListViewItem (TQListView *parent)
virtual | ~ShowListViewItem ()
virtual TQString | key (int column, bool ascending) const
virtual int | compare (TQListViewItem *i, int col, bool ascending) const
void | setNumber (const TQString &)
void | setAccount (const TQString &)
void | setFrom (const TQString &)
void | setTo (const TQString &)
void | setSubject (const TQString &)
void | setDate (const TQString &)
void | setSize (const TQString &)
void | setContent (const TQString &)
void | setState (const TQString &)
void | setTime (const TQString &)
## Private Attributes
TQString | m_time

## Detailed Description

Author:
  Eggert Ehmke

## Member Enumeration Documentation

anonymous enum

Enumerator:

  _colNumber |
  _colAccount |
  _colFrom |
  _colTo |
  _colSubject |
  _colDate |
  _colSize |
  _colContent |
  _colState |

## Constructor & Destructor Documentation

ShowListViewItem::ShowListViewItem | ( | TQListView * | parent,
|  | ShowListViewItem * | after |
| ) |  |  |

Constructor

Parameters:

  | parent | mail list view
  | after | insert the new item after this item

ShowListViewItem::ShowListViewItem | ( | TQListView * | parent | ) |

Constructor

Parameters:

  | parent | mail list view

ShowListViewItem::~ShowListViewItem | ( |  | ) | `[virtual]`

## Member Function Documentation

TQString ShowListViewItem::key | ( | int | column,
|  | bool | ascending |
| ) |  |  | const`[virtual]`

int ShowListViewItem::compare | ( | TQListViewItem * | i,
|  | int | col,
|  | bool | ascending |
| ) |  |  | const`[virtual]`

reimplement compare to solve bug #856005 standard compare is locale dependant

void ShowListViewItem::setNumber | ( | const TQString & |  | ) |

void ShowListViewItem::setAccount | ( | const TQString & |  | ) |

void ShowListViewItem::setFrom | ( | const TQString & |  | ) |

void ShowListViewItem::setTo | ( | const TQString & |  | ) |

void ShowListViewItem::setSubject | ( | const TQString & |  | ) |

void ShowListViewItem::setDate | ( | const TQString & |  | ) |

void ShowListViewItem::setSize | ( | const TQString & |  | ) |

void ShowListViewItem::setContent | ( | const TQString & |  | ) |

void ShowListViewItem::setState | ( | const TQString & |  | ) |

void ShowListViewItem::setTime | ( | const TQString & |  | ) |

## Member Data Documentation

TQString ShowListViewItem::m_time`[private]`

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/showlistviewitem.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/showlistviewitem.cpp